Bug 1003960 - Review Request: glite-lb-client - gLite Logging and Bookkeeping client library
Review Request: glite-lb-client - gLite Logging and Bookkeeping client library
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Christopher Meng
Fedora Extras Quality Assurance
:
Depends On: 1001104
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-03 10:55 EDT by František Dvořák
Modified: 2013-12-24 12:57 EST (History)
2 users (show)

See Also:
Fixed In Version: glite-lb-client-6.0.8-2.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-19 02:04:46 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
i: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description František Dvořák 2013-09-03 10:55:37 EDT
Spec URL: http://scientific.zcu.cz/fedora/glite-lb-client-6.0.7-1/glite-lb-client.spec
SRPM URL: <http://scientific.zcu.cz/fedora/glite-lb-client-6.0.7-1/glite-lb-client-6.0.7-1.fc21.src.rpm
Description: glite-lb-client is the library implementing client side of gLite Logging and Bookkeeping API. glite-lb-client-progs package contains client programs and examples for gLite L&B.
Fedora Account System Username: valtri

Notes:
- I'm upstream maintainer
- there are already three patches (based on issues from other reviews), they will be included in the next release
- koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=5886873
Comment 2 Christopher Meng 2013-12-05 06:44:03 EST
Let me help glite packages. ;)
Comment 3 Christopher Meng 2013-12-06 12:23:58 EST
1. Requires:       glite-jobid-api-cpp-devel

Where is the %{?_isa} at the ending?

2. install -m 0644 LICENSE project/ChangeLog $RPM_BUILD_ROOT%{_pkgdocdir}

Better use %doc in %files

3. %{_mandir}/man1/glite-lb-notify.1.gz
%{_mandir}/man1/glite-lb-logevent.1.gz

Please use glob:

%{_mandir}/man1/glite-lb-notify.1*
%{_mandir}/man1/glite-lb-logevent.1*

So RPM will help compress it if it doesn't.

---------------------
PACKAGE APPROVED.

Fix issues above before SCM import.
Comment 4 František Dvořák 2013-12-06 17:09:10 EST
Thanks for the review! This is milestone, gLite L&B clients in native Fedora/EPEL repositories. :-)

Fixing/explaining issues:

1. glite-jobid-api-cpp-devel is noarch package (contains only header files), so %{?_isa} has not been used

2. fixed (also in other gLite packages)

3. there is problem when combining %doc with listing installed documentation files; it is working OK on Fedora, but rpmbuild fails for EPEL 5/6:

error: File not found: /builddir/build/BUILDROOT/glite-lb-client-6.0.8-1.git20131206.el6.x86_64/usr/share/doc/glite-lb-client-6.0.8/examples
error: File not found by glob: /builddir/build/BUILDROOT/glite-lb-client-6.0.8-1.git20131206.el6.x86_64/usr/share/doc/glite-lb-client-6.0.8/examples/*
    File not found: /builddir/build/BUILDROOT/glite-lb-client-6.0.8-1.git20131206.el6.x86_64/usr/share/doc/glite-lb-client-6.0.8/examples
    File not found by glob: /builddir/build/BUILDROOT/glite-lb-client-6.0.8-1.git20131206.el6.x86_64/usr/share/doc/glite-lb-client-6.0.8/examples/*

I added a comment to spec.


The new version:

Spec URL: http://scientific.zcu.cz/fedora/glite-lb-client-6.0.8-2/glite-lb-client.spec
SRPM URL: http://scientific.zcu.cz/fedora/glite-lb-client-6.0.8-2/glite-lb-client-6.0.8-2.fc21.src.rpm
Comment 5 Christopher Meng 2013-12-06 22:55:30 EST
Fine. You can request SCM now.
Comment 6 František Dvořák 2013-12-06 23:53:36 EST
New Package SCM Request
=======================
Package Name: glite-lb-client
Short Description: gLite Logging and Bookkeeping client library and programs
Owners: valtri
Branches: f18 f19 f20 el6
InitialCC:
Comment 7 Gwyn Ciesla 2013-12-09 08:20:36 EST
Git done (by process-git-requests).
Comment 8 Fedora Update System 2013-12-09 13:12:36 EST
glite-lb-client-6.0.8-2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/glite-lb-client-6.0.8-2.fc20
Comment 9 Fedora Update System 2013-12-09 13:13:37 EST
glite-lb-client-6.0.8-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/glite-lb-client-6.0.8-2.fc19
Comment 10 Fedora Update System 2013-12-09 13:14:30 EST
glite-lb-client-6.0.8-2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/glite-lb-client-6.0.8-2.fc18
Comment 11 Fedora Update System 2013-12-09 13:15:44 EST
glite-lb-client-6.0.8-2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/glite-lb-client-6.0.8-2.el6
Comment 12 Fedora Update System 2013-12-09 15:24:56 EST
glite-lb-client-6.0.8-2.fc20 has been pushed to the Fedora 20 testing repository.
Comment 13 Fedora Update System 2013-12-19 02:04:46 EST
glite-lb-client-6.0.8-2.fc20 has been pushed to the Fedora 20 stable repository.
Comment 14 Fedora Update System 2013-12-19 02:18:21 EST
glite-lb-client-6.0.8-2.fc19 has been pushed to the Fedora 19 stable repository.
Comment 15 Fedora Update System 2013-12-19 02:18:41 EST
glite-lb-client-6.0.8-2.fc18 has been pushed to the Fedora 18 stable repository.
Comment 16 Fedora Update System 2013-12-24 12:57:07 EST
glite-lb-client-6.0.8-2.el6 has been pushed to the Fedora EPEL 6 stable repository.

Note You need to log in before you can comment on or make changes to this bug.